apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: todo-data-manager
  namespace: todo-app-ns-v2  # Указываем пространство имен
spec:
  serviceName: "todo-data-service"
  replicas: 1
  selector:
    matchLabels:
      app: todo-data
  template:
    metadata:
      labels:
        app: todo-data
    spec:
      imagePullSecrets:
        - name: my-docker-secret  # Имя секрета для DockerHub
      containers:
        - name: todo-data
          image: jank8000/todo-data-image:latest
          ports:
            - containerPort: 8080
